Package org.kapott.hbci.passport.storage

## Class PassportStorage

- java.lang.Object
- - org.kapott.hbci.passport.storage.PassportStorage

    public class PassportStorage
    extends java.lang.Object

Kapselt das Lesen/Schreiben und Verschluesseln/Entschluesseln der Passport-Dateien.

### Constructor Summary

Constructors
`PassportStorage()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PassportData` `load​(HBCIPassport passport, java.io.File file)` Liest die Passportdatei ein.
`static PassportData` `load​(HBCIPassport passport, java.io.InputStream is)` Liest die Passportdatei ein.
`static void` `save​(HBCIPassport passport, PassportData data, java.io.File file)` Speichert die Passport-Daten.
`static void` `save​(HBCIPassport passport, PassportData data, java.io.OutputStream os)` Speichert die Passport-Daten.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PassportStorage

    public PassportStorage()

### Method Detail

#### load

    public static PassportData load​(HBCIPassport passport,
                                    java.io.File file)

Liest die Passportdatei ein.

Parameters:
  `passport` - der Passport, zu dem die Daten gelesen werden sollen.
  `file` - die Passport-Datei.
Returns:
  das Passport-Format.

#### load

    public static PassportData load​(HBCIPassport passport,
                                    java.io.InputStream is)

Liest die Passportdatei ein.

Parameters:
  `passport` - der Passport, zu dem die Daten gelesen werden sollen.
  `is` - Stream mit der Datei. Die Funktion schliesst den Stream nicht. Das ist Aufgabe des Aufrufers.
Returns:
  die gelesenen Passport-Daten.

#### save

    public static void save​(HBCIPassport passport,
                            PassportData data,
                            java.io.File file)

Speichert die Passport-Daten.

Parameters:
  `passport` - der Passport.
  `data` - die Daten.
  `file` - die Zieldatei.

#### save

    public static void save​(HBCIPassport passport,
                            PassportData data,
                            java.io.OutputStream os)

Speichert die Passport-Daten.

Parameters:
  `passport` - der Passport.
  `data` - die Daten.
  `os` - der Stream, in den die Daten geschrieben werden.